# CreateTaxCodeClassificationRequest

Create a new tax code classification request

`POST /api/v2/companies/{companyId}/classificationrequests/taxcode`

**API:** AvaTax API
**Tag:** Items
**API Version:** v2
**Base URL:** https://sandbox-rest.avatax.com/
**Content-Type:** `application/json`
**Accepts:** `application/json`
**Authentication:** API Key (`Authorization` in header) or OAuth 2.0 or Basic (username + license key)

Source: https://developer.avalara.com/products/crossborder/api/methods/Items/CreateTaxCodeClassificationRequest/

## Description

Creates a new tax code classification request.
            
Avalara AvaTax system tax codes represent various goods and services classified by industry or consumer categories and
major physical similarities. Taxability rules are associated with tax codes. Customers can map their Items to tax codes
allowing them to take advantage of thousands of tax rules in the AvaTax engine resulting in accurate taxability determinations.

### Security Policies

* This API requires one of the following user roles: AccountAdmin, AccountOperator, AvaTaxOnlyAccountAdmin, AvaTaxOnlyCompanyAdmin, BatchServiceAdmin, CompanyAdmin, CSPTester, SSTAdmin, TechnicalSupportAdmin.

## Parameters

| Name | Type | In | Required | Description |
|---|---|---|---|---|
| `companyId` | integer | path | Yes | The ID of the company that creates this request. |
| `X-Avalara-Client` | string | header | No | Identifies the software you are using to call this API.  For more information on the client header, see [Client Headers](https://developer.avalara.com/avatax/client-headers/) . |

## Request Body

**Schema:** `ItemTaxCodeClassificationRequestInputModel`

Represents a tax code classification request input model

| Property | Type | Required | Description |
|---|---|---|---|
| `itemIds` | integer[] | No | Item ids for which classification has to be initiated |

## Responses

| Status | Description | Schema |
|---|---|---|
| 201 | Created | `ItemTaxCodeClassificationRequestOutputModel` |
| 400 | Bad Request | `ProblemDetails` |
| 401 | Unauthorized | `ProblemDetails` |
| 404 | Not Found | `ProblemDetails` |

### 201 Response: `ItemTaxCodeClassificationRequestOutputModel`

Represents a tax code classification request output model

| Property | Type | Required | Description |
|---|---|---|---|
| `requestId` | integer | No | The unique Request Id of classification request Example: `1`. |
| `companyId` | integer | No | The unique ID number of the company that has created classification request. Example: `7755785`. |
| `request` | string | No | The classification request |
| `status` | string | No | The status of classification request Example: `Waiting`. |
| `requestType` | string | No | The request type of classification request Example: `INDIX`. |
| `createdUserId` | integer | No | The User ID of the user who created this classification request. Example: `836447`. |
| `createdDate` | string | No | The date/time when this request was created. Example: `0001-01-01T00:00:00`. |
| `modifiedDate` | string | No | The date/time when this record was last modified. Example: `0001-01-01T00:00:00`. |

## Example Request

```bash
curl -X POST "https://sandbox-rest.avatax.com/api/v2/companies/{companyId}/classificationrequests/taxcode" \
  -H "Authorization: Basic <credentials>" \
  -H "Content-Type: application/json" \
  -H "Accept: application/json" \
  -d '{
  "itemIds": [
    987654,
    876543,
    765432
  ]
}'
```